[RESOLVED] - Latest version 0.2.21 - installation issues

Posted on
Sat Aug 27, 2016 10:00 am
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

[RESOLVED] - Latest version 0.2.21 - installation issues

Hi all

It's been a frustrating day trying to work out why iTravel wasn't installing on some systems. After a lot of thinking and especially support from Martin, I think we've resolved the issue.

The problem is that many Apple Macs are set up to automatically use Python 2.7 by default rather than 2.6. Indigo uses 2.6 and so expects to find all of the special libraries it needs in that space. In order to get the plugin installed, we need to put some critical libraries as part of your 2.6 installation. The best way to do this is to use either pip2.6 or easy_install-2.6. These programmes force installation in the correct place and don't impact any other part of your system. I still recommend taking a backup tho before you start!

Installing pip2.6

To install pip2.6 you can use the standard package easy-install-2.6....

Try the following:

    Open a Terminal Window (/Applications/Utilities/Terminal)

    At the $ prompt type sudo easy_install-2.6 pip followed by ENTER

    pip2.6 should now be automatically installed

Now everything else

    Now install suds with the command sudo pip2.6 install suds followed by ENTER - this may already be in place but that's ok

    Now try functools with the command sudo pip2.6 install functools followed by ENTER - this may fail but its ok

    Finally, install PILLOW with the command sudo pip2.6 install PILLOW followed by ENTER - this may already be in place and that's ok but you may have previously installed it in 2.7 if you followed the manual instructions.

    At the final $ prompt type python2.6 (the 2.6 is very important)

    You should get a response like:

    Code: Select all
    Mac-mini:~ Michael$ python2.6
    --> NOTE NUMBER --> Python 2.6.9 [/u](unknown, Oct 23 2015, 19:19:20) (my comments added)
    [GCC 4.2.1 Compatible Apple LLVM 7.0.0 (clang-700.0.59.5)] on darwin
    Type "help", "copyright", "credits" or "license" for more information.
    >>>

    Now try import suds
    Now try import functools
    Now try from suds.client import Client
    Now try from functools import partial
    Now try from PIL import Image

    Code: Select all
    >>>import suds
    >>> from suds.client import Client
    >>> import functools
    >>> from functools import partial
    >>> from PIL import Image
    >>> exit()

    and close the terminal window.

Now the plugin

Now you can download the latest version from this link:

https://www.dropbox.com/s/rjf1fp4xayj44t6/iTravel.indigoPlugin.zip?dl=1

It should now find the modules in the right places and run! Hopefully :)

Let me know how it goes!

Regards

Mike

Posted on
Mon Aug 29, 2016 9:42 am
MartinG offline
Posts: 47
Joined: Aug 19, 2016

Re: [RESOLVED] - Latest version 0.2.21 - installation issues

Installation troubles, beyond my level of expertise to fix. :-(

Didn’t have pip2.6 installed, so followed manual instructions

“sudo easy_install-2.6 pip2.6”

Which failed; trace follows:

Code: Select all
2014-Mac-Mini:~ admin$ pip2.6
-bash: pip2.6: command not found
2014-Mac-Mini:~ admin$ sudo easy_install-2.6 pip2.6
Password:
Searching for pip2.6
Reading http://pypi.python.org/simple/pip2.6/
Couldn't find index page for 'pip2.6' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading http://pypi.python.org/simple/
No local packages or download links found for pip2.6
error: Could not find suitable distribution for Requirement.parse('pip2.6’)


So had a look around indigo forums and found an amended installation command:

Code: Select all
2014-Mac-Mini:~ admin$ sudo easy_install-2.6 pip


This seemed to work. Trace follows:

Code: Select all
2014-Mac-Mini:~ admin$ sudo easy_install-2.6 pip
Searching for pip
Reading http://pypi.python.org/simple/pip/
Best match: pip 8.1.2
Downloading https://pypi.python.org/packages/e7/a8/7556133689add8d1a54c0b14aeff0acb03c64707ce100ecd53934da1aa13/pip-8.1.2.tar.gz#md5=87083c0b9867963b29f7aba3613e8f4a
Processing pip-8.1.2.tar.gz
Running pip-8.1.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-5ojD7q/pip-8.1.2/egg-dist-tmp-2Wbobv
warning: no previously-included files found matching '.coveragerc'
warning: no previously-included files found matching '.mailmap'
warning: no previously-included files found matching '.travis.yml'
warning: no previously-included files found matching '.landscape.yml'
warning: no previously-included files found matching 'pip/_vendor/Makefile'
warning: no previously-included files found matching 'tox.ini'
warning: no previously-included files found matching 'dev-requirements.txt'
warning: no previously-included files found matching 'appveyor.yml'
no previously-included directories found matching '.github'
no previously-included directories found matching '.travis'
no previously-included directories found matching 'docs/_build'
no previously-included directories found matching 'contrib'
no previously-included directories found matching 'tasks'
no previously-included directories found matching 'tests'
Adding pip 8.1.2 to easy-install.pth file
Installing pip script to /usr/local/bin
Installing pip2.6 script to /usr/local/bin
Installing pip2 script to /usr/local/bin

Installed /Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg
Processing dependencies for pip
Finished processing dependencies for pip


So, back to the manual, and tried to install PILLOW, but that failed too. Long trace follows…

Code: Select all
2014-Mac-Mini:~ admin$ sudo pip2.6 install PILLOW
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please upgrade your Python. A future version of pip will drop support for Python 2.6
The directory '/Users/admin/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/Users/admin/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting PILLOW
/Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
/Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
  Downloading Pillow-3.3.1.zip (10.8MB)
    100% |████████████████████████████████| 10.8MB 99kB/s
Installing collected packages: PILLOW
  Running setup.py install for PILLOW ... error
    Complete output from command /System/Library/Frameworks/Python.framework/Versions/2.6/Resources/Python.app/Contents/MacOS/Python -u -c "import setuptools, tokenize;__file__='/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-XHHMg1-record/install-record.txt --single-version-externally-managed --compile:
    running install
    running build
    running build_py
    creating build
    creating build/lib.macosx-10.10-intel-2.6
    creating build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/__init__.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/_binary.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/_tkinter_finder.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/_util.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/BdfFontFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/BmpImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/BufrStubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ContainerIO.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/CurImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/DcxImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/DdsImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/EpsImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ExifTags.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/features.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FitsStubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FliImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FontFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FpxImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FtexImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GbrImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GdImageFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GifImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GimpGradientFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GimpPaletteFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GribStubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/Hdf5StubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/IcnsImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/IcoImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/Image.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageChops.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageCms.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageColor.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageDraw.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageDraw2.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageEnhance.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageFilter.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageFont.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageGrab.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageMath.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageMode.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageMorph.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageOps.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImagePalette.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImagePath.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageQt.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageSequence.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageShow.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageStat.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageTk.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageTransform.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageWin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImtImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/IptcImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/Jpeg2KImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/JpegImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/JpegPresets.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/McIdasImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MicImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MpegImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MpoImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MspImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/OleFileIO.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PaletteFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PalmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PcdImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PcfFontFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PcxImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PdfImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PixarImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PngImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PpmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PsdImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PSDraw.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PyAccess.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/SgiImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/SpiderImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/SunImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TarIO.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TgaImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TiffImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TiffTags.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/WalImageFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/WebPImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/WmfImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/XbmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/XpmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/XVThumbImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    running egg_info
    writing Pillow.egg-info/PKG-INFO
    writing top-level names to Pillow.egg-info/top_level.txt
    writing dependency_links to Pillow.egg-info/dependency_links.txt
    warning: manifest_maker: standard file '-c' not found
    reading manifest file 'Pillow.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching '*.sh'
    no previously-included directories found matching 'docs/_static'
    warning: no previously-included files found matching '.coveragerc'
    warning: no previously-included files found matching '.editorconfig'
    warning: no previously-included files found matching '.landscape.yaml'
    warning: no previously-included files found matching 'appveyor.yml'
    warning: no previously-included files found matching 'build_children.sh'
    warning: no previously-included files found matching 'tox.ini'
    warning: no previously-included files matching '.git*' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    writing manifest file 'Pillow.egg-info/SOURCES.txt'
    copying PIL/OleFileIO-README.md -> build/lib.macosx-10.10-intel-2.6/PIL
    running build_ext
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py", line 753, in <module>
        zip_safe=not debug_build(), )
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/core.py", line 152, in setup
        dist.run_commands()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 975, in run_commands
        self.run_command(cmd)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/install.py", line 56, in run
        return _install.run(self)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/install.py", line 587, in run
        self.run_command('build')
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/cmd.py", line 333, in run_command
        self.distribution.run_command(command)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/build.py", line 134, in run
        self.run_command(cmd_name)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/cmd.py", line 333, in run_command
        self.distribution.run_command(command)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/build_ext.py", line 340, in run
        self.build_extensions()
      File "/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py", line 521, in build_extensions
        ' using --disable-%s, aborting' % (f, f))
    ValueError: zlib is required unless explicitly disabled using --disable-zlib, aborting
   
    ----------------------------------------
Command "/System/Library/Frameworks/Python.framework/Versions/2.6/Resources/Python.app/Contents/MacOS/Python -u -c "import setuptools, tokenize;__file__='/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-XHHMg1-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /private/tmp/pip-build-xrTY_Q/PILLOW/
/Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning

Looks like a permissions problem. Let’s go check ‘admin’s permissions for /Users/admin/Library/Caches/pip/http...

Turns out there is no such directory. /Users/admin/Library/Caches exists with the correct permissions, but no pip subdirectory

Now I’m lost :-(

Posted on
Mon Aug 29, 2016 12:11 pm
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

Re: [RESOLVED] - Latest version 0.2.21 - installation issues

MartinG wrote:
Installation troubles, beyond my level of expertise to fix. :-(

Didn’t have pip2.6 installed, so followed manual instructions

“sudo easy_install-2.6 pip2.6”

Which failed; trace follows:

Code: Select all
2014-Mac-Mini:~ admin$ pip2.6
-bash: pip2.6: command not found
2014-Mac-Mini:~ admin$ sudo easy_install-2.6 pip2.6
Password:
Searching for pip2.6
Reading http://pypi.python.org/simple/pip2.6/
Couldn't find index page for 'pip2.6' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading http://pypi.python.org/simple/
No local packages or download links found for pip2.6
error: Could not find suitable distribution for Requirement.parse('pip2.6’)


So had a look around indigo forums and found an amended installation command:

Code: Select all
2014-Mac-Mini:~ admin$ sudo easy_install-2.6 pip


This seemed to work. Trace follows:

Code: Select all
2014-Mac-Mini:~ admin$ sudo easy_install-2.6 pip
Searching for pip
Reading http://pypi.python.org/simple/pip/
Best match: pip 8.1.2
Downloading https://pypi.python.org/packages/e7/a8/7556133689add8d1a54c0b14aeff0acb03c64707ce100ecd53934da1aa13/pip-8.1.2.tar.gz#md5=87083c0b9867963b29f7aba3613e8f4a
Processing pip-8.1.2.tar.gz
Running pip-8.1.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-5ojD7q/pip-8.1.2/egg-dist-tmp-2Wbobv
warning: no previously-included files found matching '.coveragerc'
warning: no previously-included files found matching '.mailmap'
warning: no previously-included files found matching '.travis.yml'
warning: no previously-included files found matching '.landscape.yml'
warning: no previously-included files found matching 'pip/_vendor/Makefile'
warning: no previously-included files found matching 'tox.ini'
warning: no previously-included files found matching 'dev-requirements.txt'
warning: no previously-included files found matching 'appveyor.yml'
no previously-included directories found matching '.github'
no previously-included directories found matching '.travis'
no previously-included directories found matching 'docs/_build'
no previously-included directories found matching 'contrib'
no previously-included directories found matching 'tasks'
no previously-included directories found matching 'tests'
Adding pip 8.1.2 to easy-install.pth file
Installing pip script to /usr/local/bin
Installing pip2.6 script to /usr/local/bin
Installing pip2 script to /usr/local/bin

Installed /Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg
Processing dependencies for pip
Finished processing dependencies for pip


So, back to the manual, and tried to install PILLOW, but that failed too. Long trace follows…

Code: Select all
2014-Mac-Mini:~ admin$ sudo pip2.6 install PILLOW
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please upgrade your Python. A future version of pip will drop support for Python 2.6
The directory '/Users/admin/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/Users/admin/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting PILLOW
/Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
/Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
  Downloading Pillow-3.3.1.zip (10.8MB)
    100% |████████████████████████████████| 10.8MB 99kB/s
Installing collected packages: PILLOW
  Running setup.py install for PILLOW ... error
    Complete output from command /System/Library/Frameworks/Python.framework/Versions/2.6/Resources/Python.app/Contents/MacOS/Python -u -c "import setuptools, tokenize;__file__='/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-XHHMg1-record/install-record.txt --single-version-externally-managed --compile:
    running install
    running build
    running build_py
    creating build
    creating build/lib.macosx-10.10-intel-2.6
    creating build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/__init__.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/_binary.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/_tkinter_finder.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/_util.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/BdfFontFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/BmpImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/BufrStubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ContainerIO.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/CurImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/DcxImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/DdsImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/EpsImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ExifTags.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/features.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FitsStubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FliImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FontFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FpxImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/FtexImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GbrImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GdImageFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GifImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GimpGradientFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GimpPaletteFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/GribStubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/Hdf5StubImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/IcnsImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/IcoImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/Image.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageChops.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageCms.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageColor.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageDraw.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageDraw2.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageEnhance.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageFilter.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageFont.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageGrab.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageMath.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageMode.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageMorph.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageOps.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImagePalette.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImagePath.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageQt.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageSequence.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageShow.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageStat.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageTk.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageTransform.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImageWin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/ImtImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/IptcImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/Jpeg2KImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/JpegImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/JpegPresets.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/McIdasImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MicImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MpegImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MpoImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/MspImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/OleFileIO.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PaletteFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PalmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PcdImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PcfFontFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PcxImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PdfImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PixarImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PngImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PpmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PsdImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PSDraw.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/PyAccess.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/SgiImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/SpiderImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/SunImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TarIO.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TgaImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TiffImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/TiffTags.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/WalImageFile.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/WebPImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/WmfImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/XbmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/XpmImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    copying PIL/XVThumbImagePlugin.py -> build/lib.macosx-10.10-intel-2.6/PIL
    running egg_info
    writing Pillow.egg-info/PKG-INFO
    writing top-level names to Pillow.egg-info/top_level.txt
    writing dependency_links to Pillow.egg-info/dependency_links.txt
    warning: manifest_maker: standard file '-c' not found
    reading manifest file 'Pillow.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching '*.sh'
    no previously-included directories found matching 'docs/_static'
    warning: no previously-included files found matching '.coveragerc'
    warning: no previously-included files found matching '.editorconfig'
    warning: no previously-included files found matching '.landscape.yaml'
    warning: no previously-included files found matching 'appveyor.yml'
    warning: no previously-included files found matching 'build_children.sh'
    warning: no previously-included files found matching 'tox.ini'
    warning: no previously-included files matching '.git*' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    writing manifest file 'Pillow.egg-info/SOURCES.txt'
    copying PIL/OleFileIO-README.md -> build/lib.macosx-10.10-intel-2.6/PIL
    running build_ext
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py", line 753, in <module>
        zip_safe=not debug_build(), )
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/core.py", line 152, in setup
        dist.run_commands()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 975, in run_commands
        self.run_command(cmd)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/setuptools/command/install.py", line 56, in run
        return _install.run(self)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/install.py", line 587, in run
        self.run_command('build')
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/cmd.py", line 333, in run_command
        self.distribution.run_command(command)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/build.py", line 134, in run
        self.run_command(cmd_name)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/cmd.py", line 333, in run_command
        self.distribution.run_command(command)
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py", line 995, in run_command
        cmd_obj.run()
      File "/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/command/build_ext.py", line 340, in run
        self.build_extensions()
      File "/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py", line 521, in build_extensions
        ' using --disable-%s, aborting' % (f, f))
    ValueError: zlib is required unless explicitly disabled using --disable-zlib, aborting
   
    ----------------------------------------
Command "/System/Library/Frameworks/Python.framework/Versions/2.6/Resources/Python.app/Contents/MacOS/Python -u -c "import setuptools, tokenize;__file__='/private/tmp/pip-build-xrTY_Q/PILLOW/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-XHHMg1-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /private/tmp/pip-build-xrTY_Q/PILLOW/
/Library/Python/2.6/site-packages/pip-8.1.2-py2.6.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning

Looks like a permissions problem. Let’s go check ‘admin’s permissions for /Users/admin/Library/Caches/pip/http...

Turns out there is no such directory. /Users/admin/Library/Caches exists with the correct permissions, but no pip subdirectory

Now I’m lost :-(


Hmmmm let me read through all of that and come back to you. I think I've seen it before - sadly. It is fixable I know.

Regards

Mike

Posted on
Mon Aug 29, 2016 12:13 pm
Chameleon offline
Posts: 611
Joined: Oct 04, 2014

Re: [RESOLVED] - Latest version 0.2.21 - installation issues

One thing you could try in the meantime is simply use:

sudo pip install PILLOW

or sudo easy_install-2.6 PILLOW

They might be more reliable

I"ll think about it more now I promise :)

Regards

Mike

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 0 guests

cron